=== debian/changelog ===
liquidsoap (1.0.0~beta3+repack1-1) unstable; urgency=low

  * New upstream release.
  * Added new plugins:
    - lame
    - dssi
    - lo
    - camlimages
  * Added a meta-package liquidsoap-plugin-all
    which install all plugin packages.
  * Fixed FTBFS with new ocamlnet. Thanks to
    Stéphane Glondu for reporting.
  * Changed debian/rules to dynamically generate
    liquidsoap-plugin-*.onodefined files.
  Closes: #635326 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 10 Aug 2011 22:36:09 -0500

liquidsoap (1.0.0~beta2.1-3) unstable; urgency=low

  * Fixed build on non-native archs. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 07 Jul 2011 14:05:07 -0500

liquidsoap (1.0.0~beta2.1-2) unstable; urgency=low

  * Really change distribution to unstable...

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 07 Jul 2011 11:53:33 -0500

liquidsoap (1.0.0~beta2.1-1) experimental; urgency=low

  * New upstream release.
  * Initial upload to sid with new plugins structure.
  * Added dependencies to liquidsoap for each plugin.
  * Added liquidsoap-plugin-pulseaudio to Recommended
    packages.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 05 Jul 2011 15:01:19 -0500

liquidsoap (1.0.0~beta1+20110527~hgac5e0ed299ff-3) experimental; urgency=low

  * Fixed bytecode compilation for real: needed to pass --disable-custom
    to configure script. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 24 Jun 2011 14:20:21 -0500

liquidsoap (1.0.0~beta1+20110527~hgac5e0ed299ff-2) experimental; urgency=low

  * Do not try to install dllliquidsoap.so on non-native archs: it 
    seems that with the recent patch on ocamlc, this is not needed
    anymore.. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 24 Jun 2011 11:08:28 -0500

liquidsoap (1.0.0~beta1+20110527~hgac5e0ed299ff-1) experimental; urgency=low

  * New snapshot from latest mercurial code.
  * Fix compilation in bytecode.
  * Disable liquidsoap-plugin-alsa for BSD architectures. 
  * Compile in bytecode on armel since dynlink.cmxa is not
    available.
  * Fixed automatic dependency computation for plugins 
    using dh-ocaml >= 1.0.1

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 22 Jun 2011 22:00:22 -0500

liquidsoap (1.0.0~beta1+20110525~hgbcdbe01d2de5-1) experimental; urgency=low

  * Snapshot from mercurial repository.
  * Split optional functionalities in plugins.
  * Removed bytecode compilation patch: applied upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 May 2011 20:04:51 -0500
