=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Samuel Mimram <smimram@debian.org>
Build-Depends:
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 ocaml-nox,
 dh-ocaml (>= 1.0.1),
 ocaml-findlib,
 libcry-ocaml-dev (>= 0.2.1),
 libogg-ocaml-dev (>= 0.4.2),
 libvorbis-ocaml-dev (>= 0.6.0),
 libmad-ocaml-dev (>= 0.4.2),
 libdtools-ocaml-dev (>= 0.2.2),
 libtaglib-ocaml-dev (>= 0.1.4),
 libcamomile-ocaml-dev,
 festival,
 libxml-dom-perl,
 python-gtk2-dev,
 python,
 python-support (>= 0.3),
 libao-ocaml-dev (>= 0.2.0),
 libduppy-ocaml-dev (>= 0.4.1),
 libalsa-ocaml-dev (>= 0.2.1) [linux-any],
 libpcre-ocaml-dev,
 libladspa-ocaml-dev (>= 0.1.2),
 sox,
 libsoundtouch-ocaml-dev (>= 0.1.5),
 liblastfm-ocaml-dev (>= 0.3.0),
 libspeex-ocaml-dev (>= 0.2.0),
 libgavl-ocaml-dev (>= 0.1.4),
 libtheora-ocaml-dev (>= 0.3.0),
 libportaudio-ocaml-dev (>= 0.2.0),
 libpulse-ocaml-dev (>= 0.1.1),
 libsamplerate-ocaml-dev (>= 0.1.1),
 libxmlplaylist-ocaml-dev (>= 0.1.3),
 libmagic-ocaml-dev (>= 0.3.6),
 libbjack-ocaml-dev (>= 0.1.3),
 libsdl-ocaml-dev,
 libfaad-ocaml-dev (>= 0.3.0),
 libmm-ocaml-dev (>= 0.1.0),
 libflac-ocaml-dev,
 libschroedinger-ocaml-dev,
 libvoaacenc-ocaml-dev,
 libmp3lame-ocaml-dev,
 libdssi-ocaml-dev,
 liblo-ocaml-dev,
 libcamlimages-ocaml-dev,
 libjson-wheel-ocaml-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 libcamomile-ocaml-data,
 wget,
 sox,
 adduser
Recommends:
 logrotate,
 mp3gain,
 vorbisgain,
 vorbis-tools,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-pulseaudio
Suggests:
 icecast2,
 festival,
 mplayer,
 liguidsoap,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-xmlplaylist
Provides:
 ${ocaml:Provides}
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-plugin-all
Architecture: any
Depends:
 ${misc:Depends},
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-schroedinger,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist
Description: audio streaming language -- all plugins
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This meta-package installs all available plugins for Liquidsoap.

Package: liquidsoap-plugin-alsa
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- ALSA plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides ALSA support for liquidsoap.

Package: liquidsoap-plugin-ao
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- AO plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides AO support for liquidsoap.

Package: liquidsoap-plugin-camlimages
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Camlimages plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding various format of images
 in Liquidsoap using camlimages.

Package: liquidsoap-plugin-dssi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-ladspa (= ${binary:Version})
Description: audio streaming language -- DSSI plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides DSSI plugins support for liquidsoap.

Package: liquidsoap-plugin-faad
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- FAAD plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding AAC and M4A files in liquidsoap.

Package: liquidsoap-plugin-flac
Architecture: any
Depends:
 liquidsoap-plugin-ogg (= ${binary:Version}),
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- FLAC plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding and encoding native
 and ogg-encapsulated FLAC data in liquidsoap.

Package: liquidsoap-plugin-gavl
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Gavl plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for gavl video manipulation in Liquidsoap.

Package: liquidsoap-plugin-graphics
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Graphics plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for Video visualisation operators using
 OCaml graphics module in Liquidsoap.

Package: liquidsoap-plugin-icecast
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Icecast plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for Icecast output in liquidsoap.

Package: liquidsoap-plugin-jack
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- JACK plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides JACK support for liquidsoap.

Package: liquidsoap-plugin-ladspa
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- LADSPA plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for LADSPA audio effects in Liquidsoap.

Package: liquidsoap-plugin-lame
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Lame plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for MP3 encoding in Liquidsoap.

Package: liquidsoap-plugin-lastfm
Architecture: any
Depends: 
 liquidsoap-plugin-xmlplaylist (= ${binary:Version}),
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 liquidsoap (= ${binary:Version})
Description: audio streaming language -- Lastfm plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
